{*******************************************************}
{                                                       }
{       ֮ HappyViewer  (UFO ļ)      }
{                                                       }
{       Copyright (c) 1999  HappyBird             }
{                                                       }
{*******************************************************}
unit UnitHelp;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, ShellApi, registry, UnitConst, UnitConvert, DataSave,
  Buttons;

type
  TfrmHelp = class(TForm)
    btnOk: TButton;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Panel1: TPanel;
    ProgramIcon: TImage;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    labHTML2: TLabel;
    labEmail2: TLabel;
    labName: TLabel;
    labVersion: TLabel;
    labCopyright: TLabel;
    labEmail: TLabel;
    TabSheet3: TTabSheet;
    Memo2: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    labHTML: TLabel;
    TabSheet4: TTabSheet;
    Memo3: TMemo;
    Memo1: TMemo;
    TabSheet5: TTabSheet;
    GroupBox1: TGroupBox;
    Button1: TButton;
    CheckBox1: TCheckBox;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    Label3: TLabel;
    TrackBar1: TTrackBar;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    CheckBox2: TCheckBox;
    Label4: TLabel;
    Button2: TButton;
    procedure labEmailMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure labHTMLMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Panel1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure labHTMLClick(Sender: TObject);
    procedure labEmailClick(Sender: TObject);
    procedure TabSheet2Show(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
  private
    { Private declarations }
    FontFlag: Boolean;
  public
    { Public declarations }
  end;

var
  frmHelp: TfrmHelp;

implementation

uses
  UnitMain;
{$R *.DFM}

procedure TfrmHelp.FormCreate(Sender: TObject);
begin
  labVersion.Caption := VersionDate;
  Version.Caption := VersionDate;
  Memo3.Lines.Add(VerSionDescirption);
end;

procedure TfrmHelp.labEmailMouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  TLabel(Sender).Font.Style := [fsBold];
  TLabel(Sender).Font.Color := clGreen;
  FontFlag := true;
end;

procedure TfrmHelp.labHTMLMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  TLabel(Sender).Font.Style := [fsBold];
  TLabel(Sender).Font.Color := clGreen;
  FontFlag := true;
end;

procedure TfrmHelp.Panel1MouseMove(Sender: TObject; Shift: TShiftState;
  X, Y: Integer);
begin
  if FontFlag then
  begin
    FontFlag := false;
    labHTML.Font.Style := [fsBold, fsUnderline];
    labEmail.Font.Style := [fsBold, fsUnderline];
    labHTML.Font.Color := clNavy;
    labEmail.Font.Color := clNavy;
  end;
end;

procedure TfrmHelp.labHTMLClick(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, hsHTML, nil, nil, SW_SHOWNORMAL);
end;

procedure TfrmHelp.labEmailClick(Sender: TObject);
begin
  ShellExecute(Application.Handle, nil, hsEmail, nil, nil, SW_SHOWNORMAL);
end;


procedure TfrmHelp.TabSheet2Show(Sender: TObject);
begin
  FontFlag := False;
  ProgramIcon.Hint := hsProgramHint;
  labHTML.Hint := hsHtmlHint;
end;


procedure TfrmHelp.Button2Click(Sender: TObject);
var
  Key: Tregistry;
  S: string;
begin
  Key := TRegistry.Create;
  with Key do
  begin
    RootKey := HKEY_CLASSES_ROOT;
    OpenKey(KeyName1, True);
    WriteString('', KeyValue1);
    CloseKey;
    OpenKey(KeyName2, True);
    WriteString('', KeyValue2);
    CloseKey;
    OpenKey(KeyNameDefault, True);
    S := ReadString('');
    if (S <> Application.ExeName + ' %1') then
      WriteString('', Application.ExeName + ' %1');
    CloseKey;
    OpenKey(KeyName3, True);
    if ReadString('') <> '' then
      WriteString('', 'Open');
    CloseKey;
    OpenKey(KeyName4, True);
    WriteString('', Application.ExeName + ',0');
    CloseKey;
    MessageDlg(hsThankYou, mtInformation, [mbOk], 0);
    Button2.Visible := False;
    Label4.Caption := '˫еufoļԶôHappyViewer򿪡';
  end;
end;

procedure TfrmHelp.FormShow(Sender: TObject);
var
  Key: Tregistry;
  F: Boolean;
  S: string;
begin
  F := False;
  Key := TRegistry.Create;
  with Key do
  begin
    RootKey := HKEY_CLASSES_ROOT;
    OpenKey(KeyName1, False);
    if ReadString('') <> KeyValue1 then
      F := True;
    CloseKey;
    OpenKey(KeyName2, False);
    if ReadString('') <> KeyValue2 then
      F := True;
    CloseKey;
    OpenKey(KeyName3, False);
    S := ReadString('');
    CloseKey;
    if S = '' then OpenKey(KeyNameDefault, False)
    else
      OpenKey(KeyName3 + '\' + S + '\command', False);
    if ReadString('') <> Application.ExeName + ' %1' then
      F := True;
    CloseKey;
    OpenKey(KeyName4, False);
    if ReadString('') <> Application.ExeName + ',0' then
      F := True;
    CloseKey;
  end;
  if F then
  begin
    Button2.Enabled := True;
  end
  else
  begin
    Button2.Visible := False;
    Label4.Caption := '˫еufoļԶôHappyViewer򿪡';
  end;
end;

procedure TfrmHelp.Button1Click(Sender: TObject);
begin
  FormConvert.DriveComboBox1.Drive := Form1.DriveComboBox1.Drive;
  FormConvert.DirectoryListBox1.Directory := Form1.DirectoryListBox1.Directory;
  FormConvert.DriveComboBox2.Drive := Form1.DriveComboBox1.Drive;
  FormConvert.DirectoryListBox2.Directory := Form1.DirectoryListBox1.Directory;
  FormConvert.ListBox1.Clear;
  FormConvert.ShowModal;
end;

procedure TfrmHelp.CheckBox1Click(Sender: TObject);
begin
  SaveData.AutoSave := CheckBox1.Checked;
  if FileExists(ExtractFilePath(Application.ExeName) + 'HappyViewer.dat') then
    WriteData;

end;

procedure TfrmHelp.RadioButton1Click(Sender: TObject);
begin
  SaveData.PlayDirection := (Sender as TRadioButton).tag;
end;

procedure TfrmHelp.TrackBar1Change(Sender: TObject);
begin
  SaveData.PlayDelay := TrackBar1.Position;
end;

procedure TfrmHelp.CheckBox2Click(Sender: TObject);
begin
  SaveData.AutoPage := CheckBox2.Checked;
end;

end.
